Package com.independentsoft.office.themes

# Class ObjectDefaults

java.lang.Object
com.independentsoft.office.themes.ObjectDefaults

public class ObjectDefaults extends Object
The Class ObjectDefaults.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectDefaults()`
  Instantiates a new object defaults.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectDefaults`
  `clone()`
  `LineDefault`
  `getLineDefault()`
  Gets the line default.
  `ShapeDefault`
  `getShapeDefault()`
  Gets the shape default.
  `TextDefault`
  `getTextDefault()`
  Gets the text default.
  `void`
  `setLineDefault​(LineDefault lineDefault)`
  Sets the line default.
  `void`
  `setShapeDefault​(ShapeDefault shapeDefault)`
  Sets the shape default.
  `void`
  `setTextDefault​(TextDefault textDefault)`
  Sets the text default.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ObjectDefaults

    public ObjectDefaults()
    Instantiates a new object defaults.

- ## Method Details

  - ### clone

    public ObjectDefaults clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLineDefault

    public LineDefault getLineDefault()
    Gets the line default.
    Returns:
      the line default

  - ### setLineDefault

    public void setLineDefault​(LineDefault lineDefault)
    Sets the line default.
    Parameters:
      `lineDefault` - the new line default

  - ### getShapeDefault

    public ShapeDefault getShapeDefault()
    Gets the shape default.
    Returns:
      the shape default

  - ### setShapeDefault

    public void setShapeDefault​(ShapeDefault shapeDefault)
    Sets the shape default.
    Parameters:
      `shapeDefault` - the new shape default

  - ### getTextDefault

    public TextDefault getTextDefault()
    Gets the text default.
    Returns:
      the text default

  - ### setTextDefault

    public void setTextDefault​(TextDefault textDefault)
    Sets the text default.
    Parameters:
      `textDefault` - the new text default